// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: commonmodule/commonmodule.proto

package openfmb.commonmodule;

/**
 * <pre>
 * Power factor sign (PFSignKind enumeration)
 * </pre>
 *
 * Protobuf enum {@code commonmodule.PFSignKind}
 */
public enum PFSignKind
    implements com.google.protobuf.ProtocolMessageEnum {
  /**
   * <pre>
   * Undefined enum value which can be used for Protobuf generation and be consistent with other
   * technologies.
   * </pre>
   *
   * <code>PFSignKind_UNDEFINED = 0;</code>
   */
  PFSignKind_UNDEFINED(0),
  /**
   * <pre>
   * All analogue values are [F(t+T)-F(t)] for a calculation interval T (in the same unit as the
   * original entity). Note: The client can still calculate rate so: RATE = DIFF/T.
   * </pre>
   *
   * <code>PFSignKind_IEC = 1;</code>
   */
  PFSignKind_IEC(1),
  /**
   * <pre>
   * All analogue values (i.e., all common attributes 'i' and 'f') meet the sampling and filtering
   * characteristics specified in IEEE C37.118.1 for M-CLASS.
   * </pre>
   *
   * <code>PFSignKind_EEI = 2;</code>
   */
  PFSignKind_EEI(2),
  UNRECOGNIZED(-1),
  ;

  /**
   * <pre>
   * Undefined enum value which can be used for Protobuf generation and be consistent with other
   * technologies.
   * </pre>
   *
   * <code>PFSignKind_UNDEFINED = 0;</code>
   */
  public static final int PFSignKind_UNDEFINED_VALUE = 0;
  /**
   * <pre>
   * All analogue values are [F(t+T)-F(t)] for a calculation interval T (in the same unit as the
   * original entity). Note: The client can still calculate rate so: RATE = DIFF/T.
   * </pre>
   *
   * <code>PFSignKind_IEC = 1;</code>
   */
  public static final int PFSignKind_IEC_VALUE = 1;
  /**
   * <pre>
   * All analogue values (i.e., all common attributes 'i' and 'f') meet the sampling and filtering
   * characteristics specified in IEEE C37.118.1 for M-CLASS.
   * </pre>
   *
   * <code>PFSignKind_EEI = 2;</code>
   */
  public static final int PFSignKind_EEI_VALUE = 2;


  public final int getNumber() {
    if (this == UNRECOGNIZED) {
      throw new java.lang.IllegalArgumentException(
          "Can't get the number of an unknown enum value.");
    }
    return value;
  }

  /**
   * @param value The numeric wire value of the corresponding enum entry.
   * @return The enum associated with the given numeric wire value.
   * @deprecated Use {@link #forNumber(int)} instead.
   */
  @java.lang.Deprecated
  public static PFSignKind valueOf(int value) {
    return forNumber(value);
  }

  /**
   * @param value The numeric wire value of the corresponding enum entry.
   * @return The enum associated with the given numeric wire value.
   */
  public static PFSignKind forNumber(int value) {
    switch (value) {
      case 0: return PFSignKind_UNDEFINED;
      case 1: return PFSignKind_IEC;
      case 2: return PFSignKind_EEI;
      default: return null;
    }
  }

  public static com.google.protobuf.Internal.EnumLiteMap<PFSignKind>
      internalGetValueMap() {
    return internalValueMap;
  }
  private static final com.google.protobuf.Internal.EnumLiteMap<
      PFSignKind> internalValueMap =
        new com.google.protobuf.Internal.EnumLiteMap<PFSignKind>() {
          public PFSignKind findValueByNumber(int number) {
            return PFSignKind.forNumber(number);
          }
        };

  public final com.google.protobuf.Descriptors.EnumValueDescriptor
      getValueDescriptor() {
    if (this == UNRECOGNIZED) {
      throw new java.lang.IllegalStateException(
          "Can't get the descriptor of an unrecognized enum value.");
    }
    return getDescriptor().getValues().get(ordinal());
  }
  public final com.google.protobuf.Descriptors.EnumDescriptor
      getDescriptorForType() {
    return getDescriptor();
  }
  public static final com.google.protobuf.Descriptors.EnumDescriptor
      getDescriptor() {
    return openfmb.commonmodule.Commonmodule.getDescriptor().getEnumTypes().get(11);
  }

  private static final PFSignKind[] VALUES = values();

  public static PFSignKind valueOf(
      com.google.protobuf.Descriptors.EnumValueDescriptor desc) {
    if (desc.getType() != getDescriptor()) {
      throw new java.lang.IllegalArgumentException(
        "EnumValueDescriptor is not for this type.");
    }
    if (desc.getIndex() == -1) {
      return UNRECOGNIZED;
    }
    return VALUES[desc.getIndex()];
  }

  private final int value;

  private PFSignKind(int value) {
    this.value = value;
  }

  // @@protoc_insertion_point(enum_scope:commonmodule.PFSignKind)
}

